#!/usr/bin/python3

import glob
import os
import os.path
import sys

if len(sys.argv) < 2:
    sys.exit(0)
conf_dir = sys.argv[1]
want_restart = False
stamp_fname = os.path.join(conf_dir, 'restart_stamp')
try:
    info = os.stat(stamp_fname)
    ref_time = info.st_mtime
    for chanlist in glob.glob(os.path.join(conf_dir, '*-ChanList.txt')):
        info = os.stat(chanlist)
        if info.st_mtime > ref_time:
            want_restart = True
            break
except:
    want_restart = True

try:
    os.unlink(stamp_fname)
except:
    pass
with open(stamp_fname, "wt"):
    pass

if want_restart:
    print("restarting nds2 service")
    os.system('/usr/bin/sudo /usr/bin/systemctl restart nds2')